Package org.opensaml.saml.saml2.core

# Interface NameIDPolicy

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `NameIDPolicyImpl`

public interface NameIDPolicy extends SAMLObject
SAML 2.0 Core NameIDPolicy.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ALLOW_CREATE_ATTRIB_NAME`
AllowCreate attribute name.
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`FORMAT_ATTRIB_NAME`
Format attribute name.
`static final String`
`SP_NAME_QUALIFIER_ATTRIB_NAME`
SPNameQualifier attribute name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`Boolean`
`getAllowCreate()`
Gets the AllowCreate value.
`XSBooleanValue`
`getAllowCreateXSBoolean()`
Gets the AllowCreate value.
`String`
`getFormat()`
Gets the format of the NameIDPolicy.
`String`
`getSPNameQualifier()`
Gets the SPNameQualifier value.
`void`
`setAllowCreate(Boolean newAllowCreate)`
Sets the AllowCreate value.
`void`
`setAllowCreate(XSBooleanValue newAllowCreate)`
Sets the AllowCreate value.
`void`
`setFormat(String newFormat)`
Sets the format of the NameIDPolicy.
`void`
`setSPNameQualifier(String newSPNameQualifier)`
Sets the SPNameQualifier value.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### FORMAT_ATTRIB_NAME

@Nonnull @NotEmpty static final String FORMAT_ATTRIB_NAME
Format attribute name.

See Also:
  - Constant Field Values

### SP_NAME_QUALIFIER_ATTRIB_NAME

@Nonnull @NotEmpty static final String SP_NAME_QUALIFIER_ATTRIB_NAME
SPNameQualifier attribute name.

See Also:
  - Constant Field Values

### ALLOW_CREATE_ATTRIB_NAME

@Nonnull @NotEmpty static final String ALLOW_CREATE_ATTRIB_NAME
AllowCreate attribute name.

See Also:
  - Constant Field Values

## Method Details

### getFormat

@Nullable String getFormat()
Gets the format of the NameIDPolicy.

Returns:
  the format of the NameIDPolicy

### setFormat

void setFormat(@Nullable String newFormat)
Sets the format of the NameIDPolicy.

Parameters:
  `newFormat` - the format of the NameIDPolicy

### getSPNameQualifier

@Nullable String getSPNameQualifier()
Gets the SPNameQualifier value.

Returns:
  the SPNameQualifier value

### setSPNameQualifier

void setSPNameQualifier(@Nullable String newSPNameQualifier)
Sets the SPNameQualifier value.

Parameters:
  `newSPNameQualifier` - the SPNameQualifier value

### getAllowCreate

@Nullable Boolean getAllowCreate()
Gets the AllowCreate value.

Returns:
  the AllowCreate value

### getAllowCreateXSBoolean

@Nullable XSBooleanValue getAllowCreateXSBoolean()
Gets the AllowCreate value.

Returns:
  the AllowCreate value

### setAllowCreate

void setAllowCreate(@Nullable Boolean newAllowCreate)
Sets the AllowCreate value. Boolean values will be marshalled to either "true" or "false".

Parameters:
  `newAllowCreate` - the AllowCreate value

### setAllowCreate

void setAllowCreate(@Nullable XSBooleanValue newAllowCreate)
Sets the AllowCreate value.

Parameters:
  `newAllowCreate` - the AllowCreate value